For the complete documentation index, see llms.txt. Markdown versions of the documentation pages are available from that index.
solscan logo
Register NowRegister Now

account stake

get

https://pro-api.solscan.io/v2.0/account/stake

Get the list of stake accounts of an account

QUERY PARAMS

address

string

required

Solana wallet address

page

number

Page number for pagination

page_size

number

The number of items per page

sort_by

string

Field to sort by

sort_order

string

Sort order

RESPONSES

200

OK

Response Body (application/json)

success

boolean

Request status

amount

number

The stake amount

role

array of string

The roles of the stake account

status

string

The status of the stake account

type

string

The type of the stake account

voter

string

The address of the vote account

active_stake_amount

number

The active stake amount

delegated_stake_amount

number

The delegated stake amount

sol_balance

number

The SOL balance of the stake account

total_reward

string

The total reward of the stake account

stake_account

string

The address of the stake account

activation_epoch

number

The activation epoch

stake_type

number

The stake type

400

Bad Request

Response Body (application/json)

401

Authentication failed

Response Body (application/json)

429

Too Many Requests

Response Body (application/json)

500

Internal Server Error

Response Body (application/json)

icon

Javascript

icon

Python

icon

Shell

icon

Go

icon

C#

Authorization

Response

Click Try It! to start a request and see the response here!

Response Examples